@ECHO off
title HungaryVFR FS2020 Scenery Configurator
set test=0
set "frompath=%~dp0"
set tester="%~1"
set FULL_package_version=0.900
set "UserCfgMS=%LOCALAPPDATA%\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\UserCfg.opt"
set "UserCfgSteam=%APPDATA%\Microsoft Flight Simulator\UserCfg.opt"
set "NvidiaDXShader=%USERPROFILE%\AppData\Local\NVIDIA\DXCache"
set "NvidiaGLShader=%USERPROFILE%\AppData\Local\NVIDIA\GLCache"
if exist "%UserCfgMS%" (	
	set "SceneryIndexesFolder=%LOCALAPPDATA%\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\SceneryIndexes\"
	goto MSStore
) else (
	if exist "%UserCfgSteam%" (	
	set "SceneryIndexesFolder=%APPDATA%\Microsoft Flight Simulator\SceneryIndexes\"
	goto Steam
) else (
	echo I can't find any installations, sorry!
	timeout 5 
	goto end
)

)

:MSStore
setlocal EnableDelayedExpansion
for /f "tokens=1*" %%a in ('findstr /C:"InstalledPackagesPath" "%UserCfgMS%"') do set "located=%%b"
set "locatedn=!located:"=!\Community"
set fstype=You have Microsoft Store version of FS2020
set "communitypath=%locatedn%\"
goto update_configurator

:Steam
setlocal EnableDelayedExpansion
for /f "tokens=1*" %%a in ('findstr /C:"InstalledPackagesPath" "%UserCfgSteam%"') do set "located=%%b"
set "locatedn=!located:"=!\Community"
set fstype=You have Steam version of FS2020
set "communitypath=%locatedn%\"
goto update_configurator

:fsisrunning
echo.
echo Microsoft Flight Simulator is running, please close it.
echo It is mandatory when you are changing scenery files.
timeout 15
goto exit

:update_configurator
cls
if %test% == 1 GOTO start_test
if exist "%communitypath%0-hvfr-updater\user.key" set tester=tester	
cd /d "%communitypath%"
echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
echo.
echo FS2020 Community path: "[7m%communitypath%[0m"
echo %fstype%
echo Latest stable version: HungaryVFR v%FULL_package_version%
echo.
echo Checking if Microsoft Flight Simulator is running....
tasklist /fi "ImageName eq FlightSimulator.exe" /fo csv 2>NUL | find /I "flightsimulator.exe">nul
if "%ERRORLEVEL%"=="0" goto fsisrunning
echo Updating HungaryVFR FS2020 Scenery Configurator
echo.
echo open 87.229.85.82 21> ftp.txt
echo installer@hungaryvfr.hu>> ftp.txt
echo ZWuXiR7i9ZHT>> ftp.txt
echo hash>> ftp.txt
echo binary>> ftp.txt
echo get hvfr_scenery_configurator.zip >> ftp.txt
echo bye >> ftp.txt
echo Downloading hvfr_scenery_configurator.zip package...
ftp -s:ftp.txt >nul
if exist "%communitypath%ftp.txt" del "%communitypath%ftp.txt" >nul
echo Unpacking hvfr_scenery_configurator.zip package...
if exist "%communitypath%hvfr_scenery_configurator.zip" cmd /c "tar.exe -xf "%communitypath%hvfr_scenery_configurator.zip"" >nul
echo Unpacking done, cleaning up ...
if exist "%communitypath%hvfr_scenery_configurator.zip" del "%communitypath%hvfr_scenery_configurator.zip" >nul

if exist "%communitypath%hvfr_wget.bin" (
	goto start
) else (
	echo.
	echo "%communitypath%hvfr_wget.bin" is missing, downloading it...
	echo.    
	echo open 87.229.85.82 21> ftp.txt
	echo installer@hungaryvfr.hu>> ftp.txt
	echo ZWuXiR7i9ZHT>> ftp.txt
	echo hash>> ftp.txt
	echo binary>> ftp.txt
	echo get hvfr_wget.zip >> ftp.txt
	echo bye >> ftp.txt
	echo Downloading hvfr_wget.bin package...
	ftp -s:ftp.txt >nul	
	del ftp.txt
	echo Unpacking hvfr_wget.bin package...
	cmd /c "tar.exe -xf hvfr_wget.zip" >nul	
	echo Unpacking done, cleaning up ...
	del hvfr_wget.zip	
)
goto start


:start_test
setlocal EnableDelayedExpansion
set "UserCfgMS=%LOCALAPPDATA%\Packages\Microsoft.FlightSimulator_8wekyb3d8bbwe\LocalCache\UserCfg.teszt"
for /f "tokens=1*" %%a in ('findstr /C:"InstalledPackagesPath" "%UserCfgMS%"') do set "located=%%b"
set "locatedn=!located:"=!\Community"
set fstype=You have Microsoft Store version of FS2020
set "communitypath=%locatedn%\"
echo TEST VERSION, HVFR_CONFIGURATOR UPDATE IS DISABLED
timeout 5
if exist "%communitypath%hvfr_wget.bin" (
	goto start
) else (
	echo.
	echo "%communitypath%hvfr_wget.bin" is missing, downloading it...
	echo.    
	echo open 87.229.85.82 21> ftp.txt
	echo installer@hungaryvfr.hu>> ftp.txt
	echo ZWuXiR7i9ZHT>> ftp.txt
	echo hash>> ftp.txt
	echo binary>> ftp.txt
	echo get hvfr_wget.zip >> ftp.txt
	echo bye >> ftp.txt
	echo Downloading hvfr_wget.bin package...
	ftp -s:ftp.txt >nul	
	del ftp.txt
	echo Unpacking hvfr_wget.bin package...
	cmd /c "tar.exe -xf hvfr_wget.zip" >nul	
	echo Unpacking done, cleaning up ...
	del hvfr_wget.zip	
)
goto start



:start
set "commfolder=%communitypath%"
copy /b "%frompath%hvfr_wget.bin" "%commfolder%hvfr_wget.bin" >nul
cd /d "%communitypath%"
if exist "%communitypath%hvfr_scenery_configurator.zip" del "%commfolder%hvfr_scenery_configurator.zip" /f >nul
if exist "%communitypath%ftp_hvfr.txt" del "%commfolder%ftp_hvfr.txt" /f >nul
if exist "%communitypath%tmp????.tmp" del "%commfolder%tmp????.tmp" /f >nul
if exist "%communitypath%0-hvfr-modellib-hvfrlib" (
    goto checkins
) else (
    goto install_hvfr_question
)
goto checkins

:install_hvfr_question
cls
echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
echo.
echo FS2020 Community path: "[7m%communitypath%[0m"
echo %fstype%
echo Latest stable version: HungaryVFR v%FULL_package_version%
echo.
echo It seems HungaryVFR or some of it's main component is not installed. 
echo If you would like I can perform a FULL install now. 
echo It will download the full latest stable release of HungaryVFR and install it to your FS2020 Community folder.
echo If there are then all installed HungaryVFR files will be removed first.
echo.
CHOICE /M "Would you like to install full package of HungaryVFR?"
if %ERRORLEVEL% == 1 GOTO install
if %ERRORLEVEL% == 2 GOTO exit_noinstall
goto start

:exit_noinstall
echo Exiting without installing
timeout 5 
goto exit

:install
echo Downloading full package, this may take a while. 
cmd /c "hvfr_wget.bin -q --show-progress --user=installer@hungaryvfr.hu --password=ZWuXiR7i9ZHT ftp://87.229.85.82/HungaryVFR_Full.zip -O HungaryVFR_Full.zip"
move HungaryVFR_Full.zip "%commfolder%HungaryVFR_Full.zip" >nul
echo Removing existing HungaryVFR installation, this may take a while...	
if exist "%commfolder%0-hvfr-modellib-hvfrlib" RMDIR "%commfolder%0-hvfr-modellib-hvfrlib" /S /Q
if exist "%commfolder%1-hvfr-airport-lhbp" RMDIR "%commfolder%1-hvfr-airport-lhbp" /S /Q
if exist "%commfolder%1-hvfr-airport-lhbs-budaors" RMDIR "%commfolder%1-hvfr-airport-lhbs-budaors" /S /Q
if exist "%commfolder%1-hvfr-airport-lhdv-dunaujvaros" RMDIR "%commfolder%1-hvfr-airport-lhdv-dunaujvaros" /S /Q
if exist "%commfolder%1-hvfr-airport-lhfh-fahegy" RMDIR "%commfolder%1-hvfr-airport-lhfh-fahegy" /S /Q
if exist "%commfolder%1-hvfr-airport-lhgd-godollo" RMDIR "%commfolder%1-hvfr-airport-lhgd-godollo" /S /Q
if exist "%commfolder%1-hvfr-airport-lhhh-harmashatarhegy" RMDIR "%commfolder%1-hvfr-airport-lhhh-harmashatarhegy" /S /Q
if exist "%commfolder%1-hvfr-airport-lhho-hajduszoboszlo" RMDIR "%commfolder%1-hvfr-airport-lhho-hajduszoboszlo" /S /Q
if exist "%commfolder%1-hvfr-airport-lhjk-jakabszallas" RMDIR "%commfolder%1-hvfr-airport-lhjk-jakabszallas" /S /Q
if exist "%commfolder%1-hvfr-airport-lhkk-kiskunlachaza" RMDIR "%commfolder%1-hvfr-airport-lhkk-kiskunlachaza" /S /Q
if exist "%commfolder%1-hvfr-airport-lhsz-szentes" RMDIR "%commfolder%1-hvfr-airport-lhsz-szentes" /S /Q
if exist "%commfolder%1-hvfr-airport-lhtl-tokol" RMDIR "%commfolder%1-hvfr-airport-lhtl-tokol" /S /Q
if exist "%commfolder%1-hvfr-airport-lhud-szeged-airport" RMDIR "%commfolder%1-hvfr-airport-lhud-szeged-airport" /S /Q
if exist "%commfolder%1-hvfr-airport-lhve-veresegyhaz" RMDIR "%commfolder%1-hvfr-airport-lhve-veresegyhaz" /S /Q
if exist "%commfolder%1-hvfr-airport-lhzk-zalakomar" RMDIR "%commfolder%1-hvfr-airport-lhzk-zalakomar" /S /Q
if exist "%commfolder%1-hvfr-budaors-hems" RMDIR "%commfolder%1-hvfr-budaors-hems" /S /Q
if exist "%commfolder%2-hvfr-sightseeing-balaton" RMDIR "%commfolder%2-hvfr-sightseeing-balaton" /S /Q
if exist "%commfolder%2-hvfr-sightseeing-bp-city" RMDIR "%commfolder%2-hvfr-sightseeing-bp-city" /S /Q
if exist "%commfolder%2-hvfr-sightseeing-debrecen-city" RMDIR "%commfolder%2-hvfr-sightseeing-debrecen-city" /S /Q
if exist "%commfolder%2-hvfr-sightseeing-gyor-city" RMDIR "%commfolder%2-hvfr-sightseeing-gyor-city" /S /Q
if exist "%commfolder%2-hvfr-sightseeing-kecskemet-city" RMDIR "%commfolder%2-hvfr-sightseeing-kecskemet-city" /S /Q
if exist "%commfolder%2-hvfr-sightseeing-pecs-city" RMDIR "%commfolder%2-hvfr-sightseeing-pecs-city" /S /Q
if exist "%commfolder%2-hvfr-sightseeing-szeged-city" RMDIR "%commfolder%2-hvfr-sightseeing-szeged-city" /S /Q
if exist "%commfolder%2-hvfr-sightseeing-west" RMDIR "%commfolder%2-hvfr-sightseeing-west" /S /Q
if exist "%commfolder%pwdt-airport-lhdk" RMDIR "%commfolder%pwdt-airport-lhdk" /S /Q
echo Unpacking FULL package, this may take a while...
cmd /c "tar.exe -xf HungaryVFR_Full.zip" >nul
echo Unpacking done, cleaning up ...
if exist "%commfolder%HungaryVFR_Full.zip" del "%commfolder%HungaryVFR_Full.zip" /f >nul
if exist "%communitypath%ftp_hvfr.txt" del "%commfolder%ftp_hvfr.txt" /f >nul
if exist "%communitypath%tmp????.tmp" del "%commfolder%tmp????.tmp" /f >nul
if exist "%communitypath%0-hvfr-updater\hvfr_installed.ini" del "%commfolder%0-hvfr-updater\hvfr_installed.ini" /f >nul
echo Updating version file
if exist "%commfolder%0-hvfr-updater" (
echo %FULL_package_version% > "%commfolder%0-hvfr-updater\hvfr_installed.ini"
) else (
mkdir "%commfolder%0-hvfr-updater"
echo %FULL_package_version% > "%commfolder%0-hvfr-updater\hvfr_installed.ini"
)
echo Updating HungaryVFR FS2020 Scenery Configurator
echo.
echo open 87.229.85.82 21> ftp.txt
echo installer@hungaryvfr.hu>> ftp.txt
echo ZWuXiR7i9ZHT>> ftp.txt
echo hash>> ftp.txt
echo binary>> ftp.txt
echo get hvfr_scenery_configurator.zip >> ftp.txt
echo bye >> ftp.txt
echo Downloading hvfr_scenery_configurator.zip package...
ftp -s:ftp.txt >nul
del ftp.txt >nul
echo Unpacking hvfr_scenery_configurator.zip package...
if exist "%commfolder%hvfr_scenery_configurator.zip" cmd /c "tar.exe -xf "%communitypath%hvfr_scenery_configurator.zip"" >nul
echo Unpacking done, cleaning up ...
if exist "%commfolder%hvfr_scenery_configurator.zip" del "%communitypath%hvfr_scenery_configurator.zip" >nul
timeout 10
goto start

:checkins
cls
echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
echo.
echo FS2020 Community path: "[7m%communitypath%[0m"
echo %fstype%
echo Latest stable version: HungaryVFR v%FULL_package_version%
echo.
echo Checking and removing any obsolete HungaryVFR installation from old beta period, this may take a while...	
if exist "%commfolder%hvfr-sightseeing-bp-city" RMDIR "%commfolder%hvfr-sightseeing-bp-city" /S /Q
if exist "%commfolder%lhbs" RMDIR "%commfolder%lhbs" /S /Q
if exist "%commfolder%lhfh" RMDIR "%commfolder%lhfh" /S /Q
if exist "%commfolder%hvfr-airport-lhbs" RMDIR "%commfolder%hvfr-airport-lhbs" /S /Q
if exist "%commfolder%hvfr-airport-lhfh" RMDIR "%commfolder%hvfr-airport-lhfh" /S /Q
if exist "%commfolder%hvfr-airport-lhhh" RMDIR "%commfolder%hvfr-airport-lhhh" /S /Q
if exist "%commfolder%hvfr-airport-lhtl" RMDIR "%commfolder%hvfr-airport-lhtl" /S /Q
if exist "%commfolder%hvfr-airport-lhve" RMDIR "%commfolder%hvfr-airport-lhve" /S /Q
if exist "%commfolder%hvfr-sightseeing-balaton" RMDIR "%commfolder%hvfr-sightseeing-balaton" /S /Q
if exist "%commfolder%hvfr-sightseeing-bp-city" RMDIR "%commfolder%hvfr-sightseeing-bp-city" /S /Q
if exist "%commfolder%hvfr-sightseeing-debrecen-city" RMDIR "%commfolder%hvfr-sightseeing-debrecen-city" /S /Q
if exist "%commfolder%hvfr-sightseeing-kecskemet-city" RMDIR "%commfolder%hvfr-sightseeing-kecskemet-city" /S /Q
if exist "%commfolder%hvfr-sightseeing-szeged-city" RMDIR "%commfolder%hvfr-sightseeing-szeged-city" /S /Q
if exist "%commfolder%hvfr-sightseeing-pecs-city" RMDIR "%commfolder%hvfr-sightseeing-pecs-city" /S /Q
if exist "%commfolder%hvfr-airport-lhkk" RMDIR "%commfolder%hvfr-airport-lhkk" /S /Q
if exist "%commfolder%hvfr-airport-lhgd-godollo" RMDIR "%commfolder%hvfr-airport-lhgd-godollo" /S /Q
if exist "%commfolder%hvfr-budaors-hems" RMDIR "%commfolder%hvfr-budaors-hems" /S /Q
if exist "%commfolder%hvfr-airport-lhbp" RMDIR "%commfolder%hvfr-airport-lhbp" /S /Q
if exist "%commfolder%hvfr-airport-lhdv" RMDIR "%commfolder%hvfr-airport-lhdv" /S /Q
if exist "%commfolder%hvfr_lib" RMDIR "%commfolder%hvfr_lib" /S /Q
if exist "%commfolder%hvfr-airport-lhbs-budaors" RMDIR "%commfolder%hvfr-airport-lhbs-budaors" /S /Q
if exist "%commfolder%hvfr-airport-lhdv-dunaujvaros" RMDIR "%commfolder%hvfr-airport-lhdv-dunaujvaros" /S /Q
if exist "%commfolder%hvfr-airport-lhfh-farkashegy" RMDIR "%commfolder%hvfr-airport-lhfh-farkashegy" /S /Q
if exist "%commfolder%hvfr-airport-lhhh-harmashatarhegy" RMDIR "%commfolder%hvfr-airport-lhhh-harmashatarhegy" /S /Q
if exist "%commfolder%hvfr-airport-lhho-hajduszoboszlo" RMDIR "%commfolder%hvfr-airport-lhho-hajduszoboszlo" /S /Q
if exist "%commfolder%hvfr-airport-lhkk-kiskunlachaza" RMDIR "%commfolder%hvfr-airport-lhkk-kiskunlachaza" /S /Q
if exist "%commfolder%hvfr-airport-lhsz-szentes" RMDIR "%commfolder%hvfr-airport-lhsz-szentes" /S /Q
if exist "%commfolder%hvfr-airport-lhtl-tokol" RMDIR "%commfolder%hvfr-airport-lhtl-tokol" /S /Q
if exist "%commfolder%hvfr-airport-lhud-szeged-airport" RMDIR "%commfolder%hvfr-airport-lhud-szeged-airport" /S /Q
if exist "%commfolder%hvfr-airport-lhve-veresegyhaz" RMDIR "%commfolder%hvfr-airport-lhve-veresegyhaz" /S /Q
if exist "%commfolder%hvfr-airport-lhzk-zalakomar" RMDIR "%commfolder%hvfr-airport-lhzk-zalakomar" /S /Q
if exist "%commfolder%hvfr-sightseeing-gyor-city" RMDIR "%commfolder%hvfr-sightseeing-gyor-city" /S /Q
if exist "%commfolder%hvfr-sightseeing-west" RMDIR "%commfolder%hvfr-sightseeing-west" /S /Q

if exist "%communitypath%1-hvfr-airport-lhbs-budaors" (
    set LHBS_inst=[32mINSTALLED[0m
) else (
    set LHBS_inst="[31mUNAVAILABLE[0m, because scenery is not installed"
)

if exist "%communitypath%1-hvfr-airport-lhfh-fahegy" (
    set LHFH_inst=[32mINSTALLED[0m
) else (
    set LHFH_inst="[31mUNAVAILABLE[0m, because scenery is not installed"
)

if exist "%communitypath%1-hvfr-airport-lhjk-jakabszallas" (
    set LHJK_inst=[32mINSTALLED[0m
) else (
    set LHJK_inst="[31mUNAVAILABLE[0m, because scenery is not installed"
)

if exist "%communitypath%1-hvfr-airport-lhbp" (
    set LHBP_inst=[32mINSTALLED[0m
) else (
    set LHBP_inst="[31mUNAVAILABLE[0m, because scenery is not installed"
)

if exist "%communitypath%1-hvfr-airport-lhbs-budaors\scenery\extras.bgl" (
    set LHBS_State=[32mENABLED[0m
) else (
    set LHBS_State=[31mDISABLED[0m
)

if exist "%communitypath%1-hvfr-airport-lhfh-fahegy\scenery\extras.bgl" (
    set LHFH_State=[32mENABLED[0m
) else (
    set LHFH_State=[31mDISABLED[0m
)

if exist "%communitypath%1-hvfr-airport-lhjk-jakabszallas\scenery\extras.bgl" (
    set LHJK_State=[32mENABLED[0m
) else (
    set LHJK_State=[31mDISABLED[0m
)

if exist "%communitypath%1-hvfr-airport-lhbp\scenery\world\scenery\LHBP_Scene.bgl" (
    set LHBP_State=[32mENABLED[0m
) else (
    set LHBP_State=[31mDISABLED[0m
)

if exist "%communitypath%0-hvfr-updater\update.cmd" (
    set HVFR_BETA_State=[32mENABLED[0m
) else (
    set HVFR_BETA_State=[31mDISABLED[0m
)

if exist "%communitypath%0-hvfr-updater\user.key" (	   
	set HVFR_BETA_State=[32mENABLED[0m
) else (
    set HVFR_BETA_State=[31mDISABLED[0m
)

if exist "%communitypath%hvfr_wget.bin" (
	echo Done!	
	cls
	goto menu
) else (
	cls
	echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
	echo.
	echo FS2020 Community path: "[7m%communitypath%[0m"
	echo %fstype%
	echo Latest stable version: HungaryVFR v%FULL_package_version%
	echo.
	echo "%communitypath%hvfr_wget.bin" is missing, downloading it...
	echo.    
	echo open 87.229.85.82 21> ftp.txt
	echo installer@hungaryvfr.hu>> ftp.txt
	echo ZWuXiR7i9ZHT>> ftp.txt
	echo hash>> ftp.txt
	echo binary>> ftp.txt
	echo get hvfr_wget.zip >> ftp.txt
	echo bye >> ftp.txt
	echo Downloading hvfr_wget.bin package...
	ftp -s:ftp.txt >nul
	del ftp.txt
	echo Unpacking hvfr_wget.bin package...
	cmd /c "tar.exe -xf hvfr_wget.zip" >nul	
	echo Unpacking done, cleaning up ...
	del hvfr_wget.zip	
)
echo Done!
cls
goto menu


:install_clean_question
cls
echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
echo.
echo FS2020 Community path: "[7m%communitypath%[0m"
echo %fstype%
echo Latest stable version: HungaryVFR v%FULL_package_version%
echo.
echo Would you like to do a complete reinstall of HungaryVFR?
echo This will remove your existing installation, download and reinstall everything.
echo You can use this to downgrade from latest beta to the latest stable release.
echo.
CHOICE /M "Are you sure?"
if %ERRORLEVEL% == 1 GOTO install_clean
if %ERRORLEVEL% == 2 GOTO start
goto start

:install_clean
cls
echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
echo.
echo FS2020 Community path: "[7m%communitypath%[0m"
echo %fstype%
echo Latest stable version: HungaryVFR v%FULL_package_version%
echo.
if exist "%commfolder%HungaryVFR_Full.zip" (
	echo Cleaning existing HungaryVFR_Full.zip
	del "%commfolder%HungaryVFR_Full.zip" >nul	
	goto install_clean
) else (	
	echo [7;31m INITIALIZING CLEAN INSTALLATION [0m
	Echo Downloading full package:
	cmd /c "%commfolder%hvfr_wget.bin -q --show-progress --user=installer@hungaryvfr.hu --password=ZWuXiR7i9ZHT ftp://87.229.85.82/HungaryVFR_Full.zip -O HungaryVFR_Full.zip"		
	cd "%commfolder%"
	echo.
	echo Removing existing HungaryVFR installation, this may take a while...	
	if exist "%commfolder%0-hvfr-modellib-hvfrlib" RMDIR "%commfolder%0-hvfr-modellib-hvfrlib" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhbp" RMDIR "%commfolder%1-hvfr-airport-lhbp" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhbs-budaors" RMDIR "%commfolder%1-hvfr-airport-lhbs-budaors" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhdv-dunaujvaros" RMDIR "%commfolder%1-hvfr-airport-lhdv-dunaujvaros" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhfh-fahegy" RMDIR "%commfolder%1-hvfr-airport-lhfh-fahegy" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhgd-godollo" RMDIR "%commfolder%1-hvfr-airport-lhgd-godollo" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhhh-harmashatarhegy" RMDIR "%commfolder%1-hvfr-airport-lhhh-harmashatarhegy" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhho-hajduszoboszlo" RMDIR "%commfolder%1-hvfr-airport-lhho-hajduszoboszlo" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhjk-jakabszallas" RMDIR "%commfolder%1-hvfr-airport-lhjk-jakabszallas" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhkk-kiskunlachaza" RMDIR "%commfolder%1-hvfr-airport-lhkk-kiskunlachaza" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhsz-szentes" RMDIR "%commfolder%1-hvfr-airport-lhsz-szentes" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhtl-tokol" RMDIR "%commfolder%1-hvfr-airport-lhtl-tokol" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhud-szeged-airport" RMDIR "%commfolder%1-hvfr-airport-lhud-szeged-airport" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhve-veresegyhaz" RMDIR "%commfolder%1-hvfr-airport-lhve-veresegyhaz" /S /Q
	if exist "%commfolder%1-hvfr-airport-lhzk-zalakomar" RMDIR "%commfolder%1-hvfr-airport-lhzk-zalakomar" /S /Q
	if exist "%commfolder%1-hvfr-budaors-hems" RMDIR "%commfolder%1-hvfr-budaors-hems" /S /Q
	if exist "%commfolder%2-hvfr-sightseeing-balaton" RMDIR "%commfolder%2-hvfr-sightseeing-balaton" /S /Q
	if exist "%commfolder%2-hvfr-sightseeing-bp-city" RMDIR "%commfolder%2-hvfr-sightseeing-bp-city" /S /Q
	if exist "%commfolder%2-hvfr-sightseeing-debrecen-city" RMDIR "%commfolder%2-hvfr-sightseeing-debrecen-city" /S /Q
	if exist "%commfolder%2-hvfr-sightseeing-gyor-city" RMDIR "%commfolder%2-hvfr-sightseeing-gyor-city" /S /Q
	if exist "%commfolder%2-hvfr-sightseeing-kecskemet-city" RMDIR "%commfolder%2-hvfr-sightseeing-kecskemet-city" /S /Q
	if exist "%commfolder%2-hvfr-sightseeing-pecs-city" RMDIR "%commfolder%2-hvfr-sightseeing-pecs-city" /S /Q
	if exist "%commfolder%2-hvfr-sightseeing-szeged-city" RMDIR "%commfolder%2-hvfr-sightseeing-szeged-city" /S /Q
	if exist "%commfolder%2-hvfr-sightseeing-west" RMDIR "%commfolder%2-hvfr-sightseeing-west" /S /Q
	if exist "%commfolder%pwdt-airport-lhdk" RMDIR "%commfolder%pwdt-airport-lhdk" /S /Q
	echo Unpacking FULL package, this may take a while...
	cmd /c "tar.exe -xf HungaryVFR_Full.zip" >nul		
	echo Unpacking done, cleaning up ...
	if exist "%commfolder%HungaryVFR_Full.zip" del "%commfolder%HungaryVFR_Full.zip" /f >nul
	if exist "%communitypath%0-hvfr-updater\hvfr_installed.ini" del "%commfolder%0-hvfr-updater\hvfr_installed.ini" /f >nul
	echo Updating version file
	if exist "%commfolder%0-hvfr-updater" (
	echo %FULL_package_version% > "%commfolder%0-hvfr-updater\hvfr_installed.ini"
	) else (
	mkdir "%commfolder%0-hvfr-updater"
	echo %FULL_package_version% > "%commfolder%0-hvfr-updater\hvfr_installed.ini"
	)
	echo Updating HungaryVFR FS2020 Scenery Configurator
	echo.
	echo open 87.229.85.82 21> ftp.txt
	echo installer@hungaryvfr.hu>> ftp.txt
	echo ZWuXiR7i9ZHT>> ftp.txt
	echo hash>> ftp.txt
	echo binary>> ftp.txt
	echo get hvfr_scenery_configurator.zip >> ftp.txt
	echo bye >> ftp.txt
	echo Downloading hvfr_scenery_configurator.zip package...
	ftp -s:ftp.txt >nul
	del ftp.txt >nul	
	echo Unpacking hvfr_scenery_configurator.zip package...
	if exist "%commfolder%hvfr_scenery_configurator.zip" cmd /c "tar.exe -xf "%communitypath%hvfr_scenery_configurator.zip"" >nul	
	echo Unpacking done, cleaning up ...
	if exist "%commfolder%hvfr_scenery_configurator.zip" del "%communitypath%hvfr_scenery_configurator.zip" >nul
	goto start
	)	
goto start	


:tester_install_withKey
cls
setlocal enabledelayedexpansion
if exist "%communitypath%0-hvfr-updater\user.key" (
    set /a line=0
    for /f "usebackq tokens=*" %%L in ("%communitypath%0-hvfr-updater\user.key") do (
        if !line! equ 0 set user=%%L
		if !line! equ 1 set pass=%%L
        set /a line+=1
    )
) else (
    echo You don't have authentication file. If you had one, ask for it again.
    goto exit
)

:tester_install_withKey2
echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
echo.
echo FS2020 Community path: "[7m%communitypath%[0m"
echo %fstype%
echo Latest stable version: HungaryVFR v%FULL_package_version%
echo.
echo You are running the configurator in beta installation mode. 
echo Using user.key file for authentication.
set tester=""
echo Downloading beta updater. 
cmd /c "hvfr_wget.bin -q --show-progress --user=!user!@hungaryvfr.hu --password=!pass! ftp://87.229.85.82/HungaryVFR_Updater.zip -O HungaryVFR_Updater.zip"
echo Unpacking beta updater...
rem cmd /c "tar.exe -xf HungaryVFR_Updater.zip -C "%communitypath%"" >nul
cmd /c "tar.exe -xf HungaryVFR_Updater.zip" >nul
Echo Cleaning up...
if exist "%communitypath%HungaryVFR_Updater.zip" del "%communitypath%HungaryVFR_Updater.zip" /f >nul
timeout 10
cls
goto checkins

:tester_install
if exist "%communitypath%0-hvfr-updater\user.key" goto tester_install_withKey	
cls
echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
echo.
echo FS2020 Community path: "[7m%communitypath%[0m"
echo %fstype%
echo Latest stable version: HungaryVFR v%FULL_package_version%
echo.
echo You are running the configurator in beta installation mode. 
echo Please provide the beta channel login credentials you received earlier.
echo This is required for authentication.
Set /P _user=Username: || Set _user=NothingChosen
Set /P _pass=Password: || Set _pass=NothingChosen
If "%_user%"=="NothingChosen" goto sub_error
If "%_pass%"=="NothingChosen" goto sub_error
set tester=""
echo Downloading beta updater. 
cmd /c "hvfr_wget.bin -q --show-progress --user=%_user%@hungaryvfr.hu --password=%_pass% ftp://87.229.85.82/HungaryVFR_Updater.zip -O HungaryVFR_Updater.zip"
move HungaryVFR_Updater.zip "%commfolder%HungaryVFR_Updater.zip" >nul
echo Unpacking beta updater...
cmd /c "tar.exe -xf HungaryVFR_Updater.zip" >nul
Echo Cleaning up...
if exist "%commfolder%HungaryVFR_Updater.zip" del "%commfolder%HungaryVFR_Updater.zip" /f >nul
echo Writing your authentication key file...
echo %_user%> "%commfolder%0-hvfr-updater\user.key"
echo %_pass%>> "%commfolder%0-hvfr-updater\user.key"
timeout 10
cls
goto checkins

:sub_error
echo Nothing was typed
goto tester_install


:clean_nvidiashader
cls
echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
echo.
echo FS2020 Community path: "[7m%communitypath%[0m"
echo %fstype%
echo Latest stable version: HungaryVFR v%FULL_package_version%
echo.
echo Deleting Nvidia shader cache files...
echo "%NvidiaDXShader%\*.*"
echo "%NvidiaGLShader%\*.*"
del "%NvidiaDXShader%\*.*" /f /q >nul
for /d %%i in ("%NvidiaGLShader%\*") do rd /s /q "%%i"
del /q "%NvidiaGLShader%\*.*" >nul
goto scenery_options_menu

:clean_nvidiashader_question
cls
echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
echo.
echo FS2020 Community path: "[7m%communitypath%[0m"
echo %fstype%
echo Latest stable version: HungaryVFR v%FULL_package_version%
echo.
echo Nvidia shader cache files location:
echo "%NvidiaDXShader%"
echo "%NvidiaGLShader%"
echo.
CHOICE /M "Would you like to delete Nvidia shader cache files?"
if %ERRORLEVEL% == 1 GOTO clean_nvidiashader
if %ERRORLEVEL% == 2 GOTO scenery_options_menu
goto scenery_options_menu


:clean_sceneryindexes
cls
echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
echo.
echo FS2020 Community path: "[7m%communitypath%[0m"
echo %fstype%
echo Latest stable version: HungaryVFR v%FULL_package_version%
echo.
echo Deleting index files...
del "%SceneryIndexesFolder%*.*" /f /q 
goto scenery_options_menu

:clean_sceneryindexes_question
cls
echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
echo.
echo FS2020 Community path: "[7m%communitypath%[0m"
echo %fstype%
echo Latest stable version: HungaryVFR v%FULL_package_version%
echo.
echo SceneryIndexes location:
echo "%SceneryIndexesFolder%"
echo.
CHOICE /M "Would you like to delete Flight Simulator's SceneryIndexes files?"
if %ERRORLEVEL% == 1 GOTO clean_sceneryindexes
if %ERRORLEVEL% == 2 GOTO scenery_options_menu
goto scenery_options_menu


:scenery_options_menu
cls
if exist "%communitypath%1-hvfr-airport-lhbs-budaors" (
    set LHBS_inst=[32mINSTALLED[0m
) else (
    set LHBS_inst="[31mUNAVAILABLE[0m, because scenery is not installed"
)

if exist "%communitypath%1-hvfr-airport-lhfh-fahegy" (
    set LHFH_inst=[32mINSTALLED[0m
) else (
    set LHFH_inst="[31mUNAVAILABLE[0m, because scenery is not installed"
)

if exist "%communitypath%1-hvfr-airport-lhjk-jakabszallas" (
    set LHJK_inst=[32mINSTALLED[0m
) else (
    set LHJK_inst="[31mUNAVAILABLE[0m, because scenery is not installed"
)

if exist "%communitypath%1-hvfr-airport-lhbp" (
    set LHBP_inst=[32mINSTALLED[0m
) else (
    set LHBP_inst="[31mUNAVAILABLE[0m, because scenery is not installed"
)

if exist "%communitypath%1-hvfr-airport-lhbs-budaors\scenery\extras.bgl" (
    set LHBS_State=[32mENABLED[0m
) else (
    set LHBS_State=[31mDISABLED[0m
)

if exist "%communitypath%1-hvfr-airport-lhfh-fahegy\scenery\extras.bgl" (
    set LHFH_State=[32mENABLED[0m
) else (
    set LHFH_State=[31mDISABLED[0m
)

if exist "%communitypath%1-hvfr-airport-lhjk-jakabszallas\scenery\extras.bgl" (
    set LHJK_State=[32mENABLED[0m
) else (
    set LHJK_State=[31mDISABLED[0m
)

if exist "%communitypath%1-hvfr-airport-lhbp\scenery\world\scenery\LHBP_Scene.bgl" (
    set LHBP_State=[32mENABLED[0m
) else (
    set LHBP_State=[31mDISABLED[0m
)

if exist "%communitypath%0-hvfr-updater\update.cmd" (
    set HVFR_BETA_State=[32mENABLED[0m
) else (
    set HVFR_BETA_State=[31mDISABLED[0m
)

if exist "%communitypath%0-hvfr-updater\user.key" (	   
	set HVFR_BETA_State=[32mENABLED[0m
) else (
    set HVFR_BETA_State=[31mDISABLED[0m
)

echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
echo.
echo FS2020 Community path: "[7m%communitypath%[0m"
echo %fstype%
echo Latest stable version: HungaryVFR v%FULL_package_version%
echo.
echo If you have installed LHSimulations' LHBP scenery, please disable HVFR LHBP!
echo If you have FPS problems at the listed airports please disable the autumn leaves option!
echo.
if %HVFR_BETA_State%==[32mENABLED[0m ECHO 0. HungaryVFR Beta Updates                - [32mENABLED[0m
echo.
if %LHBP_inst%==[32mINSTALLED[0m (ECHO 1. LHBP - Enable or Disable HVFR LHBP     - Currently it's %LHBP_State%) else (ECHO 1. LHBP - Enable or Disable HVFR LHBP     - %LHBP_inst%)
if %LHBS_inst%==[32mINSTALLED[0m (ECHO 2. LHBS - Enable or Disable autumn leaves - Currently it's %LHBS_State%) else (ECHO 2. LHBS - Enable or Disable autumn leaves - %LHBS_inst%)
if %LHFH_inst%==[32mINSTALLED[0m (ECHO 3. LHFH - Enable or Disable autumn leaves - Currently it's %LHFH_State%) else (ECHO 3. LHFH - Enable or Disable autumn leaves - %LHFH_inst%)
if %LHJK_inst%==[32mINSTALLED[0m (ECHO 4. LHJK - Enable or Disable autumn leaves - Currently it's %LHJK_State%) else (ECHO 4. LHJK - Enable or Disable autumn leaves - %LHJK_inst%)
echo.
ECHO 5. Clean Flight Simulator's SceneryIndexes folder
ECHO 6. Clean Nvidia shader cache files
echo.
ECHO 7. Back to main menu
echo.
set choice=
set /p choice=Type the number of your choice and press enter: 
if not '%choice%'=='' set choice=%choice:~0,1%

if '%choice%'=='0' goto BETA
if '%choice%'=='1' goto LHBP
if '%choice%'=='2' goto LHBS
if '%choice%'=='3' goto LHFH
if '%choice%'=='4' goto LHJK
if '%choice%'=='5' goto clean_sceneryindexes_question
if '%choice%'=='6' goto clean_nvidiashader_question
if '%choice%'=='7' goto menu

ECHO "%choice%" is not valid, try again
ECHO.
pause
goto menu


:menu
cls
echo 			 		  [7;31mHungaryVFR FS2020 Scenery Configurator[0m
echo.
echo FS2020 Community path: "[7m%communitypath%[0m"
echo %fstype%
echo Latest stable version: HungaryVFR v%FULL_package_version%
echo.

if %tester% EQU "tester" goto tester_install
if exist "%commfolder%HungaryVFR_Full.zip" del "%commfolder%HungaryVFR_Full.zip" /f >nul
if exist "%communitypath%ftp_hvfr.txt" del "%commfolder%ftp_hvfr.txt" /f >nul
if exist "%communitypath%tmp????.tmp" del "%commfolder%tmp????.tmp" /f >nul
if %HVFR_BETA_State%==[32mENABLED[0m ECHO 0. HungaryVFR Beta Updates - [32mOPTION ENABLED[0m
echo.
echo 1. Scenery Options
ECHO 2. Download and install latest stable version - perform a clean install
ECHO 3. Exit
echo.
set choice=
set /p choice=Type the number of your choice and press enter: 
if not '%choice%'=='' set choice=%choice:~0,1%

if '%choice%'=='0' goto BETA
if '%choice%'=='1' goto scenery_options_menu
if '%choice%'=='2' goto install_clean_question
if '%choice%'=='3' goto Exit

ECHO "%choice%" is not valid, try again
ECHO.
pause
goto start

:LHBP
setlocal EnableDelayedExpansion
ECHO Launching LHBP Configurator
if exist "%communitypath%1-hvfr-airport-lhbp\hvfr_scenery_configurator.cmd" (
	CMD /c ""%communitypath%1-hvfr-airport-lhbp\hvfr_scenery_configurator.cmd" "%communitypath%" "%frompath%""
	goto scenery_options_menu
) else (
    ECHO "%communitypath%1-hvfr-airport-lhbp\hvfr_scenery_configurator.cmd" doesn't exists!
    timeout 5
)
goto start

:LHBS
setlocal EnableDelayedExpansion
ECHO Launching LHBS Configurator
if exist "%communitypath%1-hvfr-airport-lhbs-budaors\hvfr_scenery_configurator.cmd" (
    CMD /c ""%communitypath%1-hvfr-airport-lhbs-budaors\hvfr_scenery_configurator.cmd" "%communitypath%" "%frompath%""
	goto scenery_options_menu
) else (
    ECHO "%communitypath%1-hvfr-airport-lhbs-budaors\hvfr_scenery_configurator.cmd" doesn't exists!
    timeout 5
)
goto start

:LHFH
ECHO Launching LHFH Configurator
if exist "%communitypath%1-hvfr-airport-lhfh-fahegy\hvfr_scenery_configurator.cmd" (
    CMD /c ""%communitypath%1-hvfr-airport-lhfh-fahegy\hvfr_scenery_configurator.cmd" "%communitypath%" "%frompath%""
	goto scenery_options_menu
) else (
    ECHO "%communitypath%1-hvfr-airport-lhfh-fahegy\hvfr_scenery_configurator.cmd" doesn't exists!
    timeout 5
)
goto start

:LHJK
ECHO Launching LHJK Configurator
if exist "%communitypath%1-hvfr-airport-lhjk-jakabszallas\hvfr_scenery_configurator.cmd" (
    CMD /c ""%communitypath%1-hvfr-airport-lhjk-jakabszallas\hvfr_scenery_configurator.cmd" "%communitypath%" "%frompath%""
	goto scenery_options_menu
) else (
    ECHO "%communitypath%1-hvfr-airport-lhjk-jakabszallas\hvfr_scenery_configurator.cmd" doesn't exists!
    timeout 5
)
goto start

:BETA
ECHO Launching HVFR Beta Updater
if exist "%communitypath%0-hvfr-updater\update.cmd" (    
	CMD /c ""%communitypath%0-hvfr-updater\update.cmd" "%communitypath%" "%frompath%""		
	goto menu	
) else (  
	goto tester_install_withKey    
)
goto start

:Exit
goto end

:end
cd /d %~dp0
